Bug 1021134 - Configuration confirmation page is skipped when only configuring H2 DB
Configuration confirmation page is skipped when only configuring H2 DB
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER7
: 6.0.0
Assigned To: Thomas Hauser
Len DiMaggio
Depends On:
  Show dependency treegraph
Reported: 2013-10-19 13:25 EDT by Catherine Robson
Modified: 2014-02-06 10:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Catherine Robson 2013-10-19 13:25:55 EDT
Description of problem:
The confirmation page before configuration kicks off is skipped in the case that users only configure the H2 Database.

Version-Release number of selected component (if applicable):

How reproducible:
Consistently seen

Steps to Reproduce:
1. Run installer
2. After product installs and Configuration screen is brought up, choose "Do not perform additional post-installation configuration"
3. Click next
4. On the H2 Database configuration page, click "next"

Actual results:
The installer jumps right to configuring the server

Expected results:
The installer should show a configuration details page that allows the user to see any settings they will be configuring in the next step.

Additional info:
We should also consider the terminology on the Configuration Screen of "Do not perform additional post-install configuration" since it appears that we force them to do some configuration no matter what.  We should consider changing this to something along the effects of "Perform basic configuration" vs. "Perform advanced configuration" for the two options.
Comment 2 Thomas Hauser 2013-11-05 10:14:49 EST
This problem should be resolved as a side effect of the recent UX panel reordering.
Comment 3 Pavol Srna 2013-12-16 10:22:49 EST
Verified in ER7 build.

Note You need to log in before you can comment on or make changes to this bug.